<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Display Form Data</title>
</head>
<body>
<?php
// Include the header
include('header.php');

// I used different aspects from w3 school for the error handling in the handle form https://www.w3schools.com/php/php_error.asp
$errors = [];

// Validate the form data when submitted 
// will post errors found in the submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    //first name
    if (empty($_POST['first_name'])) {
        $errors[] = "First Name is required.";
    } else {
        $first_name = ($_POST['first_name']);
    }
    //lastname
    if (empty($_POST['last_name'])) {
        $errors[] = "Last Name is required.";
    } else {
        $last_name = ($_POST['last_name']);
    }
    //phone number
    if (empty($_POST['phone_number'])) {
        $errors[] = "Phone Number is required.";
    } else {
        $phone_number = ($_POST['phone_number']);
    }
    //email
    if (empty($_POST['email_address'])) {
        $errors[] = "Email Address is required.";
    } else {
        $email_address = ($_POST['email_address']);
        //  email validation https://www.w3schools.com/php/filter_validate_email.asp
        if (!filter_var($email_address, FILTER_VALIDATE_EMAIL)) {
            $errors[] = "Invalid email format.";
        }
    }
    //card number
    if (empty($_POST['card_number'])) {
        $errors[] = "Card Number is required.";
    } else {
        $card_number = ($_POST['card_number']);
        // to make sure the input is a number https://www.w3schools.com/php/func_var_is_numeric.asp
        if (!is_numeric($card_number)) {
            $errors[] = "Card Number must be numeric.";
        }
    }
    //cvc
    if (empty($_POST['CVC'])) {
        $errors[] = "CVC is required.";
    } else {
        $CVC = ($_POST['CVC']);
        if (!is_numeric($CVC)) {
            $errors[] = "CVC must be numeric.";
        }
    }
    //country 
    if (empty($_POST['Country'])) {
        $errors[] = "Country is required.";
    } else {
        $country = ($_POST['Country']);
    }
    //zip
    if (empty($_POST['ZIP'])) {
        $errors[] = "ZIP is required.";
    } else {
        $zip = ($_POST['ZIP']);
        if (!is_numeric($zip)) {
            $errors[] = "ZIP must be numeric.";
        }
    }
    //comments
    $comments = !empty($_POST['comments']) ? ($_POST['comments']) : "No comments.";
    
    // Stores checkboxes
    $stores = [];
    if (!empty($_POST['Amazon'])) $stores[] = "Amazon";
    if (!empty($_POST['Target'])) $stores[] = "Target";
    if (!empty($_POST['Costco'])) $stores[] = "Costco";
    //https://www.w3schools.com/php/func_string_implode.asp
    $selected_stores = !empty($stores) ? implode(", ", $stores) : "No stores selected.";

    // Radio button validation
    if (empty($_POST['trust'])) {
        $errors[] = "Please indicate whether to remember card information.";
    } else {
        $trust = ($_POST['trust']);
    }

    // Posts the information if all fields are filled and no errors are found in the form
    if (empty($errors)) {
        echo "<h2>Thank you for your submition!</h2>";
        echo "<p>Your order will be processed shortly.</p>";
        echo "<p><strong>First Name:</strong> $first_name</p>";
        echo "<p><strong>Last Name:</strong> $last_name</p>";
        echo "<p><strong>Phone Number:</strong> $phone_number</p>";
        echo "<p><strong>Email Address:</strong> $email_address</p>";
        echo "<p><strong>Card Number:</strong> " . str_repeat('*', strlen($card_number) - 4) . substr($card_number, -4) . "</p>"; 
        // Mask the card number except the last 4 digits https://stackoverflow.com/questions/13413886/mask-credit-card-number-in-php
        echo "<p><strong>Expiration Date:</strong> {$_POST['month']} {$_POST['year']}</p>";
        echo "<p><strong>CVC:</strong> ***</p>"; 
        // Don't display CVC
        echo "<p><strong>Remember Card Information:</strong> $trust</p>";
        echo "<p><strong>Country:</strong> $country</p>";
        echo "<p><strong>ZIP:</strong> $zip</p>";
        echo "<p><strong>Stores:</strong> $selected_stores</p>";
        echo "<p><strong>Comments:</strong> $comments</p>";
    } else {
        // Display error messages if validation fails
        echo "<h2>Please fill in the required fields:</h2>";
        echo "<ul>";
        foreach ($errors as $error) {
            echo "<li>$error</li>";
        }
    }
}
?>

<!--I used the following to help make the go back button https://w3schools.com/jsref/met_his_back.asp-->
<br>
<br>
<button onclick="history.back()">Go Back</button>
<br>

</body>
</html>
<?php
// Include the footer
include('footer.php');
?>
